commit: 2096a867bc108f0ec77ab9ba20cdbb958ff62c17
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 1 21:37:24 2026 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 1 21:37:24 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2096a867
dev-ruby/httpauth: enable ruby40
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild | 9 ++++++---
1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
b/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
index fe43d6b5dfa3..bd07ace5c591 100644
--- a/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
+++ b/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRADOC="README.md TODO"
RUBY_FAKEGEM_GEMSPEC="httpauth.gemspec"
@@ -18,8 +19,10 @@ RUBY_S=HTTPauth-${PV}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
all_ruby_prepare() {
+ sed -e '/has_rdoc/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
sed -i -e "/[Bb]undler/d" Rakefile || die
}